SystemOrganization addCategory: #ConfigurationOfMsgPack!

Object subclass: #ConfigurationOfMsgPack
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMsgPack'!

!ConfigurationOfMsgPack class methodsFor: 'development support' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMsgPack class methodsFor: 'private' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMsgPack class methodsFor: 'private' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMsgPack class methodsFor: 'private' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMsgPack class methodsFor: 'metacello tool support' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMsgPack class methodsFor: 'loading' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMsgPack class methodsFor: 'loading' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMsgPack class methodsFor: 'loading' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMsgPack class methodsFor: 'accessing' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
project

	^self new project! !

!ConfigurationOfMsgPack class methodsFor: 'development support' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMsgPack methodsFor: 'versions' stamp: 'PanuWetterstrand 10/15/2012 13:18'!
baseline050: spec
	<version: '0.5.0-baseline'>
	spec
		for: #pharo
		do: [ 
			spec
				blessing: #baseline;
				repositories: [ 
							spec
								repository: 'http://ss3.gemstone.com/ss/MsgPack';
								repository: 'http://source.lukas-renggli.ch/petit' ];
				package: 'MsgPack' with: [ spec requires: #('PetitParser') ];
				package: 'PetitParser' ]! !

!ConfigurationOfMsgPack methodsFor: 'accessing' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfMsgPack methodsFor: 'symbolics' stamp: 'PanuWetterstrand 9/20/2012 21:04'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'pharo' version: '0.5.0'.
! !

!ConfigurationOfMsgPack methodsFor: 'accessing' stamp: 'PanuWetterstrand 9/20/2012 20:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMsgPack methodsFor: 'versions' stamp: 'PanuWetterstrand 11/12/2012 12:11'!
version050: spec
	<version: '0.5.0' imports: #('0.5.0-baseline' )>

	spec for: #'pharo' do: [
		spec blessing: #'development'.
		spec 
			package: 'MsgPack' with: 'MsgPack-PanuWetterstrand.27';
			package: 'PetitParser' with: 'PetitParser-lr.228'. ].
! !
